# $Revision: 1.20 $, $Date: 2006/05/19 19:06:25 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	Dict
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - interface to the DICT protocol
Summary(pl):	%{_pearname} - interfejs do protokou DICT
Name:		php-pear-%{_pearname}
Version:	1.0.5
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e0046b0384516ec3c9fcbfa72fc19d52
URL:		http://pear.php.net/package/Net_Dict/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
Requires:	php-pear-Cache >= 1.5.2
Requires:	php-pear-Net_Socket >= 1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class provides a simple API to the DICT Protocol handling all the
network related issues and providing DICT responses in PHP datatypes
to make it easy for a developer to use DICT servers in their programs.

In PEAR status of this package is: %{_status}.

%description -l pl
Klasa ta dostarcza proste API do protokou DICT, dajce wszystkie
zwizane z sieci waciwoci oraz dostarczajce odpowiedzi DICT w
typach danych PHP, pozwalajc na atwe uycie serwerw DICT w
programach.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_Dict.spec,v $
Revision 1.20  2006/05/19 19:06:25  glen
- 1.0.5

Revision 1.19  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.18  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.17  2005/10/05 20:59:32  glen
- rel 3

Revision 1.16  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.15  2005/09/28 21:33:15  glen
- new pear packaging

Revision 1.14  2004/12/04 13:21:58  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.13  2004/10/24 18:31:00  paladine
- spelling fixes, uppercases, etc.

Revision 1.12  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.11  2004/03/15 14:48:56  ankry
- cosmetics

Revision 1.10  2004/03/15 13:31:47  adamg
- added missing status information (it is stable)
- cosmetics

Revision 1.9  2003/10/07 20:55:41  adamg
- do not use macros in URL

Revision 1.8  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.7  2003/05/28 10:50:29  adamg
- massive manual attack: pear packages update

Revision 1.6  2003/05/28 08:58:43  adamg
- massive attack: added source0-md5

Revision 1.5  2003/05/25 06:25:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/10/14 23:47:38  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.3  2002/10/10 16:27:45  blues
- 1.0.2 - STBR

Revision 1.2  2002/10/10 16:26:41  blues
- 1.0.1 - Bugfix release - STBR

Revision 1.1  2002/09/24 19:47:35  blues
- initial release - STBR
